package com.zm.order.tool.server.request;

import com.alibaba.fastjson.JSON;
import com.zm.order.tool.server.model.SimpleMetadataRequest;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.List;


/**
 * @author 陈标
 * @Description
 * @Date 2020/7/23 0023 17:08
 */
public class CreateMetadataRequest implements Serializable {


    private static final long serialVersionUID = 2493742766359430104L;
    /**
     * 业务类型
     */
    @ApiModelProperty(value = "业务类型", example = "餐饮", required = true)
    private String bizType;


    /**
     * 属性
     */
    @ApiModelProperty(value = "元数据属性", example = "单据类型", required = true)
    private String property;

    @ApiModelProperty(value = "元数据值和描述", required = true)
    private List<SimpleMetadataRequest> simpleMetadata;

    public List<SimpleMetadataRequest> getSimpleMetadata() {
        return simpleMetadata;
    }

    public void setSimpleMetadata(List<SimpleMetadataRequest> simpleMetadata) {
        this.simpleMetadata = simpleMetadata;
    }

    public String getBizType() {
        return bizType;
    }

    public void setBizType(String bizType) {
        this.bizType = bizType;
    }

    public String getProperty() {
        return property;
    }

    public void setProperty(String property) {
        this.property = property;
    }


    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
